#!/usr/bin/perl -w

package KartaPsc;

BEGIN {
    use src::MymoneyUI;
};


use strict;


#use Encode;
use utf8;
#use open ':utf8', ':std';

use Gtk2;
init Gtk2;

use lib "./";
use lib::Dialog;
use lib::Locks;
use lib::Databaze;

my $MyUI;
my %MyMoney;
my $retcode="";
my $KartaPsc;
my $Locks;

sub upravit {
    my ($self, $where, %params) = @_;
    %MyMoney=%params;
    my $dissable_ok=0;
    $Locks=0;
    if($where) {
        $Locks=new Locks(%MyMoney);
        if(!$Locks->create_lock('g_Psc',$where)) {
            $dissable_ok=1;
        };
    };
    return($self->run($dissable_ok, $where,0,%params));
};

sub kopirovat {
    my ($self, $where, %params) = @_;
    %MyMoney=%params;
    $Locks=0;
    return($self->run(0, $where,1,%params));
};

sub pridat {
    my ($self, %params) = @_;
    %MyMoney=%params;
    $Locks=0;
    return($self->run(0,'',0,%params));
};

sub odstranit {
    my ($self, $where, %params) = @_;
    %MyMoney=%params;
    $Locks=new Locks(%MyMoney);
    if(!$Locks->create_lock('g_Psc',$where,1)) {
        return(0);
    };
    my $Databaze=new Databaze(%MyMoney);
    if(!$Databaze->Remove('g_Psc',$where)) {
        $Locks->remove_lock;
        return(0);
    };
    $Locks->remove_lock;
    return(1);
};

sub run {
    my ($class, $dissable_ok, $where, $kopie, %params) = @_;
    $retcode=0;
    %MyMoney=%params;
    my $window=$class;
    $MyUI=$class;
    my $self=$class;
    $KartaPsc=new Table('g_Psc',%MyMoney);

    if($where) {
        if(!$KartaPsc->load($where,1)) {
            my $Dialog=new Dialog;
            $Dialog->show("text"=>"Záznam nelze načíst!\nZřejme byl změněn jiným uživatelem.","type"=>"error");
            if($Locks) {
                $Locks->remove_lock;
            };
            return(0);
        };
    };
    $KartaPsc->WriteToUI($window->FORM);
    if(!$kopie) {
        $class->{'where'}=$where;
    } else {
        $class->{'where'}="";
        $KartaPsc->set('id',0);
    };
    if($dissable_ok) {
        $window->FORM->{'button_ok'}->set_sensitive(0);
    };
    
    $MyUI=$window;
    $window->TOPLEVEL->set_title('Karta PSČ');
    $MyMoney{'MainCfg'}->window_open("KartaPsc",$self->TOPLEVEL);
    $window->TOPLEVEL->show;
    Glib::Timeout->add (100, sub {1});
    Gtk2->main;
    return($retcode);
};

sub on_button_close_clicked {
    if($Locks) {
        $Locks->remove_lock;
    };
    $MyMoney{'MainCfg'}->window_close("KartaPsc",$MyUI->TOPLEVEL);
    $MyUI->TOPLEVEL->hide;
    Gtk2->main_quit;
};

sub on_KartaPsc_unrealize {
    if($Locks) {
        $Locks->remove_lock;
    };
    $MyMoney{'MainCfg'}->window_close("KartaPsc",$MyUI->TOPLEVEL);
    Gtk2->main_quit;
};

sub on_button_ok_clicked {
    $KartaPsc->ReadFromUI($MyUI->FORM);
    if($MyUI->{'where'}) {
        if(!$KartaPsc->update) {
            return;
        };
    } else {
        $KartaPsc->save;
    };
    if($Locks) {
        $Locks->remove_lock;
    };
    $MyMoney{'MainCfg'}->window_close("KartaPsc",$MyUI->TOPLEVEL);
    $retcode=$KartaPsc;
    $MyUI->TOPLEVEL->hide;
    Gtk2->main_quit;
};

1;
