#!/usr/bin/perl -w

package NastaveniAgendy;

BEGIN {
    use src::MymoneyUI;
};


use strict;

#use Encode;
use utf8;
#use open ':utf8', ':std';

use Gtk2;
init Gtk2;
use Gnome2;

use lib "./";
use lib::FileChooserDialog;
use lib::Table;
use lib::Locks;

my $MyUI;
my %MyMoney;
my $Agenda;
my $retval;
my $Locks;

sub run {
    my ($class, $otevrit_agendu, %params) = @_;
    
    my $window=$class;
    $MyUI=$window;
    %MyMoney=%params;
    $retval=0;

    $Locks=0;
    $Locks=new Locks(%MyMoney);
    if(!$Locks->create_lock('g_Agenda',"id='".$MyMoney{'AgendaData'}->get('id')."'")) {
        $MyUI->FORM->{'button_ok'}->set_sensitive(0);
    };
    
    # odstranime nefunkcni moduly
    $window->FORM->{'notebook4'}->remove_page(6);
    $window->FORM->{'notebook4'}->remove_page(5);
    $window->FORM->{'notebook4'}->remove_page(3);
    $window->FORM->{'notebook4'}->remove_page(2);

    if($otevrit_agendu) {
        $Agenda=new Table('g_Agenda',%MyMoney);
        $Agenda->load("id='".$otevrit_agendu."'");
    } else {
        $Agenda=$MyMoney{'AgendaData'};
    };
    
    $Agenda->WriteToUI($MyUI->FORM);
    $window->on_adresar_dup_nazev_toggled;
    
    $window->TOPLEVEL->set_title('Nastavení agendy');
    $MyUI->{'TOPFORM'}=$MyUI->FORM->{'vbox13'};
    $MyMoney{'MainCfg'}->window_open("NastaveniAgendy",$MyUI->TOPLEVEL);
    $window->TOPLEVEL->show;
    Glib::Timeout->add (100, sub {1});
    Gtk2->main;
    return($retval);
};

sub on_button_otevrit_logo_clicked {
    my $FileChooserDialog=new FileChooserDialog;
    $FileChooserDialog->show;
};

sub on_radiobutton_typ_subjektu_toggled {
    if($MyUI->FORM->{'typ_subjektu_S'}->get_active) {
        $MyUI->FORM->{'frame7'}->set_sensitive(1);
    } else {
        $MyUI->FORM->{'frame7'}->set_sensitive(0);
    };
};

sub on_adresar_dup_nazev_toggled {
    if($MyUI->FORM->{'adresar_dup_nazev'}->get_active) {
        $MyUI->FORM->{'adresar_dup_nazev_len'}->set_sensitive(1);
    } else {
        $MyUI->FORM->{'adresar_dup_nazev_len'}->set_sensitive(0);
    };
};

sub on_NastaveniAgendy_unrealize {
    if($Locks) {
        $Locks->remove_lock;
    };
    $MyMoney{'MainCfg'}->window_close("NastaveniAgendy",$MyUI->TOPLEVEL);
    $retval=0;
    Gtk2->main_quit;
};

sub on_button_ok_clicked {
    $Agenda->ReadFromUI($MyUI->FORM);
    $Agenda->update;
    $MyMoney{'MainCfg'}->window_close("NastaveniAgendy",$MyUI->TOPLEVEL);
    if($Locks) {
        $Locks->remove_lock;
    };
    $retval=1;
    $MyUI->TOPLEVEL->hide;
    Gtk2->main_quit;
};

sub on_button_close_clicked {
    if($Locks) {
        $Locks->remove_lock;
    };
    $MyMoney{'MainCfg'}->window_close("NastaveniAgendy",$MyUI->TOPLEVEL);
    $retval=0;
    $MyUI->TOPLEVEL->hide;
    Gtk2->main_quit;
};

sub on_button_stat_clicked {
    $MyUI->{'TOPFORM'}->set_sensitive(0);
    my $Seznam=new Seznam;
    if($Seznam->run('staty',"cfg"=>[%MyMoney],"ok_butt"=>1)) {
        my $tbl=new Table('g_Staty',%MyMoney);
        if($tbl->load($Seznam->selected_where,1)) {
            $MyUI->FORM->{'stat_kod'}->set_text($tbl->get('kod'));
            $MyUI->FORM->{'stat'}->set_text($tbl->get('popis'));
        } else {
            my $Dialog=new Dialog;
            $Dialog->show("text"=>"Zaznam nelze nacist!\nZrejme byl zmenen jinym uzivatelem.","type"=>"error");
            $MyUI->{'TOPFORM'}->set_sensitive(1);
            return;
        };
    };
    $MyUI->{'TOPFORM'}->set_sensitive(1);
};

sub on_button_ob_stat_clicked {
    $MyUI->{'TOPFORM'}->set_sensitive(0);
    my $Seznam=new Seznam;
    if($Seznam->run('staty',"cfg"=>[%MyMoney],"ok_butt"=>1)) {
        my $tbl=new Table('g_Staty',%MyMoney);
        if($tbl->load($Seznam->selected_where,1)) {
            $MyUI->FORM->{'ob_stat_kod'}->set_text($tbl->get('kod'));
            $MyUI->FORM->{'ob_stat'}->set_text($tbl->get('popis'));
        } else {
            my $Dialog=new Dialog;
            $Dialog->show("text"=>"Zaznam nelze nacist!\nZrejme byl zmenen jinym uzivatelem.","type"=>"error");
            $MyUI->{'TOPFORM'}->set_sensitive(0);
            return;
        };
    };
    $MyUI->{'TOPFORM'}->set_sensitive(1);
};

1;
