#!/usr/bin/perl -w

package Table;

use strict;

use Encode;
use utf8;

use lib "./";

my %Table=();

# [field_name, default_value, data_type, attributs]

$Table{'r_UzivatelskeNastaveni'}=[
	["id","","bigint","auto"],
	["user_id","","bigint",""],
	["ucet","","varchar",""],
	["pokladna","","varchar",""],
	["stredisko","","varchar",""],
	["zakazka","","varchar",""],
	["cinnost","","varchar",""],
	["kontrola_uhrady","1","bool",""],
	["vyzadovat_potvrzeni","1","bool",""],
	["automaticka_zmena_data","0","bool",""],
	["dotaz_potvrdit","R","enum","RAZ"],
	["dotaz_potvrdit_po","0","int",""],
	["dotaz_zavrit_po","0","int",""],
	["znovu_se_zeptat_po","0","int",""],
	["up_vyd_predkontace","","varchar",""],
	["up_vyd_cleneni","","varchar",""],
	["up_vyd_ciselna_rada","","varchar",""],
	["up_vyd_nabidnout_zauc","0","bool",""],
	["up_vyd_nastaveni_typu_dok","P","enum","TPZ"],
	["up_vyd_typ_dokladu","","varchar",""],
	["up_vyd_tisk_dokl","1","bool",""],
	["up_vyd_tisk_dokl_text","Výdajový pokladní doklad","varchar",""],
	["up_vyd_tisk_dokl_se_zauc","0","bool",""],
	["up_vyd_tisk_dokl_se_zauc_text","Výdajový pokladní doklad","varchar",""],
	["up_vyd_tisk_danovy_dokl","0","bool",""],
	["up_vyd_tisk_danovy_dokl_text","Daňový doklad","varchar",""],
	["up_prij_predkontace","","varchar",""],
	["up_prij_cleneni","","varchar",""],
	["up_prij_ciselna_rada","","varchar",""],
	["up_prij_nabidnout_zauc","0","bool",""],
	["up_prij_nastaveni_typu_dok","P","enum","TPZ"],
	["up_prij_typ_dokladu","","varchar",""],
	["up_prij_tisk_dokl","1","bool",""],
	["up_prij_tisk_dokl_text","Příjmový pokladní doklad","varchar",""],
	["up_prij_tisk_dokl_se_zauc","0","bool",""],
	["up_prij_tisk_dokl_se_zauc_text","Příjmový pokladní doklad","varchar",""],
	["up_prij_tisk_danovy_dokl","0","bool",""],
	["up_prij_tisk_danovy_dokl_text","Daňový doklad","varchar",""],
	["ub_vyd_predkontace","","varchar",""],
	["ub_vyd_cleneni","","varchar",""],
	["ub_vyd_ciselna_rada","","varchar",""],
	["ub_vyd_nabidnout_zauc","0","bool",""],
	["ub_vyd_nastaveni_typu_dok","P","enum","TPZ"],
	["ub_vyd_typ_dokladu","","varchar",""],
	["ub_vyd_tisk_dokl","1","bool",""],
	["ub_vyd_tisk_dokl_text","Výdej z účtu","varchar",""],
	["ub_vyd_tisk_dokl_se_zauc","0","bool",""],
	["ub_vyd_tisk_dokl_se_zauc_text","Výdej z účtu","varchar",""],
	["ub_vyd_tisk_danovy_dokl","0","bool",""],
	["ub_vyd_tisk_danovy_dokl_text","Daňový doklad","varchar",""],
	["ub_prij_predkontace","","varchar",""],
	["ub_prij_cleneni","","varchar",""],
	["ub_prij_ciselna_rada","","varchar",""],
	["ub_prij_nabidnout_zauc","0","bool",""],
	["ub_prij_nastaveni_typu_dok","P","enum","TPZ"],
	["ub_prij_typ_dokladu","","varchar",""],
	["ub_prij_tisk_dokl","1","bool",""],
	["ub_prij_tisk_dokl_text","Příjem na účet","varchar",""],
	["ub_prij_tisk_dokl_se_zauc","0","bool",""],
	["ub_prij_tisk_dokl_se_zauc_text","Příjem na účet","varchar",""],
	["ub_prij_tisk_danovy_dokl","0","bool",""],
	["ub_prij_tisk_danovy_dokl_text","Daňový doklad","varchar",""],
	["uzp_vyd_predkontace","","varchar",""],
	["uzp_vyd_cleneni","","varchar",""],
	["uzp_vyd_ciselna_rada","","varchar",""],
	["uzp_vyd_nabidnout_zauc","0","bool",""],
	["uzp_vyd_nastaveni_typu_dok","P","enum","TPZ"],
	["uzp_vyd_typ_dokladu","","varchar",""],
	["uzp_vyd_tisk_dokl","1","bool",""],
	["uzp_vyd_tisk_dokl_text","Závazek","varchar",""],
	["uzp_vyd_tisk_dokl_se_zauc","0","bool",""],
	["uzp_vyd_tisk_dokl_se_zauc_text","Závazek","varchar",""],
	["uzp_vyd_tisk_danovy_dokl","0","bool",""],
	["uzp_vyd_tisk_danovy_dokl_text","Daňový doklad","varchar",""],
	["uzp_prij_predkontace","","varchar",""],
	["uzp_prij_cleneni","","varchar",""],
	["uzp_prij_ciselna_rada","","varchar",""],
	["uzp_prij_nabidnout_zauc","0","bool",""],
	["uzp_prij_nastaveni_typu_dok","P","enum","TPZ"],
	["uzp_prij_typ_dokladu","","varchar",""],
	["uzp_prij_tisk_dokl","1","bool",""],
	["uzp_prij_tisk_dokl_text","Pohledávka","varchar",""],
	["uzp_prij_tisk_dokl_se_zauc","0","bool",""],
	["uzp_prij_tisk_dokl_se_zauc_text","Pohledávka","varchar",""],
	["uzp_prij_tisk_danovy_dokl","0","bool",""],
	["uzp_prij_tisk_danovy_dokl_text","Daňový doklad","varchar",""],
	["ui_predkontace","","varchar",""],
	["ui_cleneni","","varchar",""],
	["ui_ciselna_rada","","varchar",""],
	["ui_nabidnout_zauc","1","bool",""],
	["ui_nastaveni_typu_dok","P","enum","TPZ"],
	["ui_typ_dokladu","","varchar",""],
	["ui_tisk_dokl","0","bool",""],
	["ui_tisk_dokl_text","Interní doklad","varchar",""],
	["ui_tisk_dokl_se_zauc","1","bool",""],
	["ui_tisk_dokl_se_zauc_text","Interní doklad","varchar",""],
	["ui_tisk_danovy_dokl","0","bool",""],
	["ui_tisk_danovy_dokl_text","Daňový doklad","varchar",""],
	["uk_cleneni","","varchar",""],
	["uk_ciselna_rada","","varchar",""],
	["uk_nabidnout_zauc","0","bool",""],
	["uk_tisk_dokl","0","bool",""],
	["uk_tisk_dokl_text","Interní doklad","varchar",""],
	["uk_tisk_dokl_se_zauc","0","bool",""],
	["uk_tisk_dokl_se_zauc_text","Interní doklad","varchar",""],
	["uk_tisk_danovy_dokl","0","bool",""],
	["uk_tisk_danovy_dokl_text","Daňový doklad","varchar",""],
	["fz_vyd_predkontace","","varchar",""],
	["fz_vyd_cleneni","","varchar",""],
	["fz_vyd_ciselna_rada","","varchar",""],
	["fz_vyd_nabidnout_zauc","0","bool",""],
	["fz_vyd_nastaveni_typu_dok","P","enum","TPZ"],
	["fz_vyd_typ_dokladu","","varchar",""],
	["fz_prij_predkontace","","varchar",""],
	["fz_prij_cleneni","","varchar",""],
	["fz_prij_ciselna_rada","","varchar",""],
	["fz_prij_nabidnout_zauc","0","bool",""],
	["fz_prij_nastaveni_typu_dok","P","enum","TPZ"],
	["fz_prij_typ_dokladu","","varchar",""],
	["fp_vyd_vytvorit_dokl","0","bool",""],
	["fp_vyd_nabidnout_dokl","0","bool",""],
	["fp_vyd_predkontace","","varchar",""],
	["fp_vyd_cleneni","","varchar",""],
	["fp_vyd_ciselna_rada","","varchar",""],
	["fp_prij_vytvorit_dokl","0","bool",""],
	["fp_prij_nabidnout_dokl","0","bool",""],
	["fp_prij_predkontace","","varchar",""],
	["fp_prij_cleneni","","varchar",""],
	["fp_prij_ciselna_rada","","varchar",""],
	["ft_vyd_fakturu","0","bool",""],
	["ft_vyd_fakturu_zauc","0","bool",""],
	["ft_vyd_danovy_dokl","0","bool",""],
	["ft_vyd_pokl_dokl","0","bool",""],
	["ft_prij_fakturu","0","bool",""],
	["ft_prij_fakturu_zauc","0","bool",""],
	["ft_prij_fakturu_dodav","0","bool",""],
	["ft_prij_danovy_dokl","0","bool",""],
	["ft_prij_dodaci_list","0","bool",""],
	["ft_prij_dodaci_list_dod","0","bool",""],
	["ft_prij_slozenku","0","bool",""],
	["ft_prij_dobirkovou_pruv","0","bool",""],
	["ft_prij_balikovou_pruv","0","bool",""],
	["ft_prij_pokl_dokl","0","bool",""],
	["fs_vyd_vytisknout","0","bool",""],
	["fs_vyd_pouzit_typ","S","enum","TPZS"],
	["fs_vyd_typ","","varchar",""],
	["fs_prij_vytisknout","0","bool",""],
	["fs_prij_pouzit_typ","S","enum","TPZS"],
	["fs_prij_typ","","varchar",""]
];

$Table{'g_Agenda'}=[
	["id","0","bigint","auto_increment"],
	["nazev","","varchar",""],
	["ulice","","varchar",""],
	["mesto","","varchar",""],
	["psc","","varchar",""],
	["stat","","varchar",""],
	["stat_kod","","varchar",""],
	["ob_nazev","","varchar",""],
	["ob_ulice","","varchar",""],
	["ob_mesto","","varchar",""],
	["ob_psc","","varchar",""],
	["ob_stat","","varchar",""],
	["ob_stat_kod","","varchar",""],
	["ico","","varchar",""],
	["dic","","varchar",""],
	["ean_kod","","varchar",""],
	["typ_subjektu","S","enum","SNP"],
	["typ_subjektu2","F","enum","FP"],
	["tel_pred","","varchar",""],
	["tel","","varchar",""],
	["tel_klapka","","varchar",""],
	["fax_pred","","varchar",""],
	["fax","","varchar",""],
	["fax_klapka","","varchar",""],
	["mobil_pred","","varchar",""],
	["mobil","","varchar",""],
	["email","","varchar",""],
	["www","","varchar",""],
	["jine_udaje","","text",""],
	["slozenky_sk","","varchar",""],
	["slozenky_tk","","varchar",""],
	["aktualni_spis","","bigint",""],
	["adresar_dup_ico","N","bool",""],
	["adresar_dup_dic","N","bool",""],
	["adresar_dup_nazev","N","bool",""],
	["adresar_dup_nazev_len","0","int",""],
	["duplicita_kodu_f","-","enum","-HN"],
	["duplicita_kodu_o","-","enum","-HN"]
];


1;
