#!/usr/bin/perl -w

package Tools;

BEGIN {
    use src::MymoneyUI;
};


use strict;
use POSIX qw(ceil floor);

#use Encode;
use utf8;
#use open ':utf8', ':std';

use Gtk2;
init Gtk2;

use lib "./";

sub HumanNums {
    ($_)=@_;

    my @vals=();
    my $minus="";
    if(/^-/) {
        ($minus,@vals)=/^(-)([0-9]*)(.)([0-9]*)$/;
    } else {
        @vals=/(^[0-9]*)(.)([0-9]*)$/;
    };
    
    my $retval="";
    my $jednotky=0;
    for(my $i=length($vals[0])-1;$i>=0;$i--) {
        if($jednotky eq 3) {
            $retval=" ".$retval;
            $jednotky=1;
        } else {
            $jednotky++;
        };
        $retval=substr($vals[0],$i,1).$retval;
    };
    return($minus.$retval.$vals[1].$vals[2]);
};

sub FromHumanNums {
    ($_)=@_;
    s/ //g;
    s/,/\./;
    return($_);
};

sub HumanDate {
    my ($date)=@_;
    
    if($date eq "0001-01-01") {
        return("");
    };
    if($date=~/^([0-9][0-9][0-9][0-9])-([0-9][0-9])-([0-9][0-9])/) {
        my ($rok,$mesic,$den)=split('-',$date);
        return("$den.$mesic.$rok");
    } else {
        return($date);
    };
};

# zaokrouhleni podle hodnot z options:
#   0 - nezaokrouhlovat
#   1 - desetiny
#   2 - padesatniky
#   3 - jednotky
#   4 - desitky
#   5 - stovky
#   6 - tisice
#
# zaokrouhleni_m:
#   0 - nahoru
#   1 - dolu
#   2 - matematicky
#
sub zaokrouhleni {
    my($value,$zaokrouhleni,$zaokrouhleni_m)=@_;

    #nezaokrouhlujem
    if($zaokrouhleni eq 0) {
        return($value);
    };

    my @zaklad=(0,0.1,0.5,1,10,100,1000);
    return(Tools::zaokrouhleni2($value,$zaokrouhleni_m,$zaklad[$zaokrouhleni]));
    #my $plusminus=1;
    #if($value<0) {
    #    $plusminus=-1;
    #};
    ##nahoru
    #if($zaokrouhleni_m eq 0) {
    #    return($plusminus*ceil(abs($value)/$zaklad[$zaokrouhleni])*$zaklad[$zaokrouhleni]);
    #};
    ##dolu
    #if($zaokrouhleni_m eq 1) {
    #    return($plusminus*floor(abs($value)/$zaklad[$zaokrouhleni])*$zaklad[$zaokrouhleni]);
    #};
    ##matematicky
    #
    #if($zaokrouhleni_m eq 2) {
    #    tie(my $val,"FloatingFixedScalar");
    #    $val=abs($value/$zaklad[$zaokrouhleni])-abs(int($value)/$zaklad[$zaokrouhleni]);
    #    if($val>=0.5) {
    #        return($plusminus*ceil(abs($value)/$zaklad[$zaokrouhleni])*$zaklad[$zaokrouhleni]);
    #    } else {
    #        return($plusminus*floor(abs($value)/$zaklad[$zaokrouhleni])*$zaklad[$zaokrouhleni]);
    #    };
    #};
};

sub zaokrouhleni2 {
    my($value,$zaokrouhleni_m,$zaklad)=@_;

    #nezaokrouhlujem
    if($zaklad eq 0) {
        return($value);
    };

    my $plusminus=1;
    if($value<0) {
        $plusminus=-1;
    };
    #nahoru
    if($zaokrouhleni_m eq 0) {
        return($plusminus*ceil(abs($value)/$zaklad)*$zaklad);
    };
    #dolu
    if($zaokrouhleni_m eq 1) {
        return($plusminus*floor(abs($value)/$zaklad)*$zaklad);
    };
    #matematicky

    if($zaokrouhleni_m eq 2) {
        tie(my $val,"FloatingFixedScalar");
        $val=abs($value/$zaklad)-abs(int($value)/$zaklad);
        if($val>=0.5) {
            return($plusminus*ceil(abs($value)/$zaklad)*$zaklad);
        } else {
            return($plusminus*floor(abs($value)/$zaklad)*$zaklad);
        };
    };
};

1;

package FloatingFixedScalar;

require Tie::Scalar;
use POSIX qw(ceil floor);


sub TIESCALAR {
    my $class=shift;
    my $self = {};
    bless $self, $class;
    return($self);
};

sub STORE {
    my($self,$value)=@_;
    $self->{'value'}=int(ceil($value*1000000000))/1000000000;
};

sub FETCH {
    my $self=shift;
    return($self->{'value'});
};

sub DESTROY {
    my $self=shift;
    return;
};

1;
