#!/usr/bin/perl -w

package VypocetPenale;

BEGIN {
    use src::MymoneyUI;
};


use strict;
use POSIX qw(strftime);


#use Encode;
use utf8;
#use open ':utf8', ':std';

use Gtk2;
init Gtk2;

use lib "./";

my $MyUI;
my %MyMoney;

sub run {
    my ($class,%params) = @_;

    %MyMoney=%params;
    my $window=$class;
    $MyUI=$class;
    
    $MyUI=$window;
    
    $window->FORM->{'datum_splatnosti'}=Gnome2::DateEdit->new (strftime("%s",localtime), 0, 0);
    $window->FORM->{'datum_splatnosti'}->signal_connect("time_changed"=>"on_datum_splatnosti_changed");
    $window->FORM->{'table99'}->attach($window->FORM->{'datum_splatnosti'}, 1, 2, 2, 3, ['fill'], ['fill', 'expand'], 0, 0);
    $window->FORM->{'datum_splatnosti'}->show;

    $window->FORM->{'penale_ke_dni'}=Gnome2::DateEdit->new (strftime("%s",localtime), 0, 0);
    $window->FORM->{'penale_ke_dni'}->signal_connect("time_changed"=>"on_datum_penale_ke_dni_changed");
    $window->FORM->{'table99'}->attach($window->FORM->{'penale_ke_dni'}, 1, 2, 3, 4, ['fill'], ['fill', 'expand'], 0, 0);
    $window->FORM->{'penale_ke_dni'}->show;
    
    $window->TOPLEVEL->set_title('Výpočet penále');
    $MyMoney{'MainCfg'}->window_open("VypocetPenale",$MyUI->TOPLEVEL);
    $window->TOPLEVEL->show;
    Glib::Timeout->add (100, sub {1});
    Gtk2->main;
};

sub on_button_close_clicked {
    $MyMoney{'MainCfg'}->window_close("VypocetPenale",$MyUI->TOPLEVEL);
    $MyUI->TOPLEVEL->hide;
    Gtk2->main_quit;
};

sub vypocet_penale {
    $MyUI->FORM->{'vyse_penale'}->set_value(($MyUI->FORM->{'dluzna_castka'}->get_value/100)*$MyUI->FORM->{'sazba_penale'}->get_value*$MyUI->FORM->{'doba_zprodleni'}->get_value);
    
};

sub on_VypocetPenale_unrealize {
    $MyMoney{'MainCfg'}->window_close("VypocetPenale",$MyUI->TOPLEVEL);
    Gtk2->main_quit;
};

sub on_dluzna_castka_changed {
    $MyUI->vypocet_penale;
};

sub on_sazba_penale_changed {
        $MyUI->vypocet_penale;
};

sub on_datum_splatnosti_changed {
    my $dnu=$MyUI->FORM->{'datum_splatnosti'}->get_time-$MyUI->FORM->{'penale_ke_dni'}->get_time;
    if($dnu<0) {
        $dnu=0;
    };
    $MyUI->FORM->{'doba_zprodleni'}->set_value($dnu/86400);
    $MyUI->vypocet_penale;
};

sub on_datum_penale_ke_dni_changed {
   $MyUI->on_datum_splatnosti_changed;
};

sub on_doba_zprodleni_changed {
        $MyUI->FORM->{'penale_ke_dni'}->set_time($MyUI->FORM->{'datum_splatnosti'}->get_time+(86400*$MyUI->FORM->{'doba_zprodleni'}->get_value));
        $MyUI->vypocet_penale;
};

1;
